Bug 1806892 - openshift-cloud-credential-operator: Some core components are in openshift.io/run-level 1 and are bypassing SCC, but should not be
Summary: openshift-cloud-credential-operator: Some core components are in openshift.io...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Credential Operator
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.5.0
Assignee: Joel Diaz
QA Contact: wang lin
URL:
Whiteboard:
Depends On:
Blocks: 1805488 1807659
TreeView+ depends on / blocked
 
Reported: 2020-02-25 09:45 UTC by Stefan Schimanski
Modified: 2020-07-13 17:21 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Stop bypassing SCC for cloud-credential-operator. Reason: Running with excess permissions that are not needed for cloud-credential-operator to perform its tasks. Result: No unnecessary bypassing of SCC for cloud-credential-operator.
Clone Of: 1805488
: 1807659 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:20:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cloud-credential-operator pull 159 None closed Bug 1806892: no need to run CCO as privileged pod 2020-07-06 16:26:15 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:21:25 UTC

Comment 3 wang lin 2020-03-06 06:26:31 UTC
It has fixed on payload 4.5.0-0.nightly-2020-03-05-190442

Comment 5 errata-xmlrpc 2020-07-13 17:20:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.